Bug 536277 - (RHQ-644) high-availability infrastructure / failover support
high-availability infrastructure / failover support
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On: RHQ-292 RHQ-668 RHQ-670 RHQ-671 RHQ-672 RHQ-673 RHQ-674 RHQ-677 RHQ-678 RHQ-679 RHQ-698 RHQ-703
Blocks: RHQ-146
  Show dependency treegraph
 
Reported: 2008-07-07 07:49 EDT by Joseph Marques
Modified: 2010-10-06 23:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-06 23:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-07-07 07:49:00 EDT
support highly available infrastructure.  separate subtasks should be created to track the development progress, but the high-level requirements are roughly as follows:

* support multi-server setup
** make sure server-cached structures "just work" (such as the alerting engine)
* support agent failover upon downed server event
** agents need to re-position themselves to talk to another server endpoint
** load should be balanced by overall data throughput, and not by the number of connected agents

See the development forum link below for details:
http://support.rhq-project.org/display/RHQ/High+Availability+-+Agent+Failover

nice-to-have for 1.1 (but might not make it until 1.2):


* using some load balancing algorithm: highly available infrastructure should be able to optimistically analyze the load coming from each agent, and repartition them to distribute load evenly across the infrastructure
Comment 1 Red Hat Bugzilla 2009-11-10 16:13:54 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-644
Comment 2 Corey Welton 2010-10-06 23:14:10 EDT
closing this tracker

Note You need to log in before you can comment on or make changes to this bug.